Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.management.jca.system.mbeans
Class STCRAMonitor

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
              com.stc.connector.management.jca.system.mbeans.STCRAMonitor

All Implemented Interfaces:
  javax.management.DynamicMBean, java.util.EventListener, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener, STCRAMonitorBean

public class STCRAMonitor
extends BaseMonitorMBean
implements STCRAMonitorBean, javax.management.MBeanRegistration, javax.management.NotificationListener

Field Summary
`static java.lang.String` | `SBYN_MBEAN_DOMAIN_NAME`

Fields inherited from class com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
`mAttributesInfo, mConstructorsInfo, mMBeanInfo, mNotificationsInfo, mOperationsInfo`

Constructor Summary
`STCRAMonitor()`

Method Summary
`void` | `addASMBean(java.lang.Object newbean, java.lang.String key)`
`void` | `addInboundWorkItem(java.lang.Object key, java.lang.Object value)`
`void` | `addMCFMBean(java.lang.Object newbean, java.lang.String key)`
`protected void` | `buildDynamicMBeanInfo()` Build the protected MBeanInfo field, which represents the management interface exposed by the MBean; i.e., the set of attributes, constructors, operations and notifications which are available for management.
`void` | `disable()`
`void` | `enable()`
`STCActivationSpecMonitorBean` | `findASMBean(java.lang.String key)`
`STCMCFMonitorBean` | `findMCFMBean(java.lang.String key)`
`java.lang.String` | `getActivatedTime()` Activated time
`java.lang.Object` | `getAttribute(java.lang.String aName)`
`javax.management.AttributeList` | `getAttributes(java.lang.String[] aNames)` Retrieves the value of specified attributes of the Dynamic MBean
`java.lang.String` | `getDescription()` Resource adapter description
`java.lang.String` | `getName()`
`java.lang.String` | `getRAName()` Resource adapter name
`java.lang.String` | `getRAVersion()` Version of RA associated with eway
`javax.resource.spi.ResourceAdapter` | `getResourceAdapter()`
`java.lang.String` | `getShutdownTime()` Shutdown time
`java.lang.Integer` | `getStatus()` Status string
`java.lang.String` | `getSupportedModes()` In/Out mode supported by the eway
`void` | `handleNotification(javax.management.Notification aNotification, java.lang.Object obj)`
`java.lang.Object` | `invoke(java.lang.String operationName, java.lang.Object[] params, java.lang.String[] signature)` Invokes an operation on the Dynamic MBean.
`java.lang.Boolean` | `isEnabled()`
`void` | `postRegister(java.lang.Boolean registrationDone)` `MBeanRegistration` implementation method
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer aServer, javax.management.ObjectName aName)` `MBeanRegistration` implementation method
`void` | `removeAllSubMBeans()`
`void` | `removeASBean(java.lang.String key)`
`void` | `removeMCFBean(java.lang.String key)`
`void` | `removeSubMBeans(java.util.HashMap subMbeans)`
`java.lang.Object` | `retrieveInboundWorkItem(java.lang.Object key)`
`void` | `sendAlert()`
`void` | `sendAlert(com.stc.eventmanagement.Event event)`
`void` | `sendAlert(java.lang.String alertMsg, int severity)`
`void` | `sendAlert(java.lang.String alertMsgCode, java.lang.String[] alertMsgCodeArgs, java.lang.String alertMsg, int severity)`
`void` | `sendAlert(java.lang.String projectName, java.lang.String collabName, java.lang.String componentName, java.lang.String alertMsgCode, java.lang.String[] alertMsgCodeArgs, java.lang.String alertMsg, int severity)`
`void` | `setActivatedTime(java.lang.String activatedTime)` Setter for Activated time
`void` | `setAttribute(javax.management.Attribute attribute)`
`void` | `setDescription(java.lang.String description)` Resource adapter description
`void` | `setName(java.lang.String name)`
`void` | `setRAName(java.lang.String raName)` Resource adapter name
`void` | `setRAVersion(java.lang.String raVersion)` Version of RA associated with eway
`void` | `setResourceAdapter(javax.resource.spi.ResourceAdapter raObj)`
`void` | `setShutdownTime(java.lang.String shutdownTime)` Setter for shutdown time
`void` | `setStatus(java.lang.Integer status)` Setter for status string
`void` | `setSupportedModes(java.lang.String supportedModes)` In/Out mode supported by the eway

Methods inherited from class com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
`addNotificationListener, buildDefaultDynamicMBeanInfo, getMBeanInfo, postDeregister, preDeregister, removeNotificationListener, sendNotification, setAttributes`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`getNotificationInfo, handleNotification, removeNotificationListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, preDeregister`

Field Detail

### SBYN_MBEAN_DOMAIN_NAME

    public static final java.lang.String SBYN_MBEAN_DOMAIN_NAME

See Also:
  Constant Field Values

Constructor Detail

### STCRAMonitor

    public STCRAMonitor()
                 throws java.lang.Exception

Method Detail

### buildDynamicMBeanInfo

    protected void buildDynamicMBeanInfo()

  Build the protected MBeanInfo field, which represents the management interface exposed by the MBean; i.e., the set of attributes, constructors, operations and notifications which are available for management. A reference to the MBeanInfo object is returned by the getMBeanInfo() method of the DynamicMBean interface. Note that, once constructed, an MBeanInfo object is immutable.

  Overrides:
    `buildDynamicMBeanInfo` in class `BaseMonitorMBean`

### invoke

    public java.lang.Object invoke(java.lang.String operationName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signature)
                            throws javax.management.MBeanException,
                                   javax.management.ReflectionException

  Description copied from class: `BaseMonitorMBean`
  Invokes an operation on the Dynamic MBean.

  Specified by:
    `invoke` in interface `javax.management.DynamicMBean`
  Overrides:
    `invoke` in class `BaseMonitorMBean`
  Parameters:
    `operationName` - The name of the action to be invoked
    `params` - An array containing the parameters to be set when the action is invoked
    `signature` - An array containing the aSignature of the action. The class objects will be loaded through the same class loader as the one used for loading the MBean on which the action is invoked.
  Returns:
    The object returned by the action, which represents the result of invoking the action on the MBean specified
  Throws:
    `javax.management.ReflectionException` - ReflectionException
    `javax.management.MBeanException` - MBeanException

### getAttributes

    public javax.management.AttributeList getAttributes(java.lang.String[] aNames)

  Description copied from class: `BaseMonitorMBean`
  Retrieves the value of specified attributes of the Dynamic MBean

  Specified by:
    `getAttributes` in interface `javax.management.DynamicMBean`
  Overrides:
    `getAttributes` in class `BaseMonitorMBean`
  Parameters:
    `aNames` - aNames of the attributes
  Returns:
    AttributeList list of attribute aNames and values

### getAttribute

    public java.lang.Object getAttribute(java.lang.String aName)
                                  throws javax.management.AttributeNotFoundException,
                                         javax.management.MBeanException,
                                         javax.management.ReflectionException

  Specified by:
    `getAttribute` in interface `javax.management.DynamicMBean`
  Overrides:
    `getAttribute` in class `BaseMonitorMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### setAttribute

    public void setAttribute(javax.management.Attribute attribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

  Specified by:
    `setAttribute` in interface `javax.management.DynamicMBean`
  Overrides:
    `setAttribute` in class `BaseMonitorMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### handleNotification

    public void handleNotification(javax.management.Notification aNotification,
                                   java.lang.Object obj)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

### setResourceAdapter

    public void setResourceAdapter(javax.resource.spi.ResourceAdapter raObj)

  Specified by:
    `setResourceAdapter` in interface `STCRAMonitorBean`

### getResourceAdapter

    public javax.resource.spi.ResourceAdapter getResourceAdapter()

  Specified by:
    `getResourceAdapter` in interface `STCRAMonitorBean`

### sendAlert

    public void sendAlert(java.lang.String projectName,
                          java.lang.String collabName,
                          java.lang.String componentName,
                          java.lang.String alertMsgCode,
                          java.lang.String[] alertMsgCodeArgs,
                          java.lang.String alertMsg,
                          int severity)

### sendAlert

    public void sendAlert(java.lang.String alertMsgCode,
                          java.lang.String[] alertMsgCodeArgs,
                          java.lang.String alertMsg,
                          int severity)

  Specified by:
    `sendAlert` in interface `STCRAMonitorBean`

### sendAlert

    public void sendAlert(java.lang.String alertMsg,
                          int severity)

  Specified by:
    `sendAlert` in interface `STCRAMonitorBean`

### sendAlert

    public void sendAlert()

  Specified by:
    `sendAlert` in interface `STCRAMonitorBean`

### sendAlert

    public void sendAlert(com.stc.eventmanagement.Event event)

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer aServer,
                                                   javax.management.ObjectName aName)

  `MBeanRegistration` implementation method

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `preRegister` in class `BaseMonitorMBean`
  Parameters:
    `aServer` - `MBeanServer`
    `aName` - MBean's `ObjectName`
  Returns:
    MBean's `ObjectName`
  Throws:
    `java.lang.Exception` - This exception should be caught by the MBean server and re-thrown as an `MBeanRegistrationException`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  `MBeanRegistration` implementation method

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `postRegister` in class `BaseMonitorMBean`
  Parameters:
    `registrationDone` - Indicates whether or not the MBean has been successfully registered in the MBean server. The value false means that the registration phase has failed

### addMCFMBean

    public void addMCFMBean(java.lang.Object newbean,
                            java.lang.String key)

  Specified by:
    `addMCFMBean` in interface `STCRAMonitorBean`

### removeMCFBean

    public void removeMCFBean(java.lang.String key)

  Specified by:
    `removeMCFBean` in interface `STCRAMonitorBean`

### findMCFMBean

    public STCMCFMonitorBean findMCFMBean(java.lang.String key)

  Specified by:
    `findMCFMBean` in interface `STCRAMonitorBean`

### addASMBean

    public void addASMBean(java.lang.Object newbean,
                           java.lang.String key)

  Specified by:
    `addASMBean` in interface `STCRAMonitorBean`

### removeASBean

    public void removeASBean(java.lang.String key)

  Specified by:
    `removeASBean` in interface `STCRAMonitorBean`

### removeAllSubMBeans

    public void removeAllSubMBeans()

  Specified by:
    `removeAllSubMBeans` in interface `STCRAMonitorBean`

### removeSubMBeans

    public void removeSubMBeans(java.util.HashMap subMbeans)

### findASMBean

    public STCActivationSpecMonitorBean findASMBean(java.lang.String key)

  Specified by:
    `findASMBean` in interface `STCRAMonitorBean`

### enable

    public void enable()

  Specified by:
    `enable` in interface `STCRAMonitorBean`

### disable

    public void disable()

  Specified by:
    `disable` in interface `STCRAMonitorBean`

### isEnabled

    public java.lang.Boolean isEnabled()

  Specified by:
    `isEnabled` in interface `STCRAMonitorBean`

### addInboundWorkItem

    public void addInboundWorkItem(java.lang.Object key,
                                   java.lang.Object value)

  Specified by:
    `addInboundWorkItem` in interface `STCRAMonitorBean`

### retrieveInboundWorkItem

    public java.lang.Object retrieveInboundWorkItem(java.lang.Object key)

  Specified by:
    `retrieveInboundWorkItem` in interface `STCRAMonitorBean`

### getRAName

    public java.lang.String getRAName()

  Resource adapter name

  Specified by:
    `getRAName` in interface `STCRAMonitorBean`

### getDescription

    public java.lang.String getDescription()

  Resource adapter description

  Specified by:
    `getDescription` in interface `STCRAMonitorBean`

### getSupportedModes

    public java.lang.String getSupportedModes()

  In/Out mode supported by the eway

  Specified by:
    `getSupportedModes` in interface `STCRAMonitorBean`

### getRAVersion

    public java.lang.String getRAVersion()

  Version of RA associated with eway

  Specified by:
    `getRAVersion` in interface `STCRAMonitorBean`

### getActivatedTime

    public java.lang.String getActivatedTime()

  Activated time

  Specified by:
    `getActivatedTime` in interface `STCRAMonitorBean`

### getShutdownTime

    public java.lang.String getShutdownTime()

  Shutdown time

  Specified by:
    `getShutdownTime` in interface `STCRAMonitorBean`

### getStatus

    public java.lang.Integer getStatus()

  Status string

  Specified by:
    `getStatus` in interface `STCRAMonitorBean`

### setRAName

    public void setRAName(java.lang.String raName)

  Resource adapter name

  Specified by:
    `setRAName` in interface `STCRAMonitorBean`

### setDescription

    public void setDescription(java.lang.String description)

  Resource adapter description

  Specified by:
    `setDescription` in interface `STCRAMonitorBean`

### setSupportedModes

    public void setSupportedModes(java.lang.String supportedModes)

  In/Out mode supported by the eway

  Specified by:
    `setSupportedModes` in interface `STCRAMonitorBean`

### setRAVersion

    public void setRAVersion(java.lang.String raVersion)

  Version of RA associated with eway

  Specified by:
    `setRAVersion` in interface `STCRAMonitorBean`

### setActivatedTime

    public void setActivatedTime(java.lang.String activatedTime)

  Setter for Activated time

  Specified by:
    `setActivatedTime` in interface `STCRAMonitorBean`

### setShutdownTime

    public void setShutdownTime(java.lang.String shutdownTime)

  Setter for shutdown time

  Specified by:
    `setShutdownTime` in interface `STCRAMonitorBean`

### setStatus

    public void setStatus(java.lang.Integer status)

  Setter for status string

  Specified by:
    `setStatus` in interface `STCRAMonitorBean`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `STCRAMonitorBean`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `STCRAMonitorBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD